DNF4-REPODIFF(8)

BEZEICHNUNG
dnf4-repodiff - Repodiff-Plugin von DNF

Unterschiede zwischen zwei oder mehreren Paketquellen auflisten

ÜBERSICHT

dnf repodiff [<Optionen>]

BESCHREIBUNG

repodiff ist ein Programm, das Unterschiede zwischen zwei Paketquellen anzeigt. Beachten Sie, dass per Vorgabe nur Quellpakete berücksichtigt werden.

  Optionen

Alle allgemeinen DNF-Optionen werden akzeptiert, siehe Optionen in dnf(8) für Details.

    --repo-old=<Paketquellen-ID>, -o <Paketquellen-ID>
        Fügt eine alte Paketquelle mit der angegebenen <Paketquellen-ID> hinzu. Kann zusammen mit der Option --repofrompath verwendet werden. Dies kann mehrmals angegeben werden.

    --repo-new=<Paketquellen-ID>, -n <Paketquellen-ID>
        Fügt eine neue Paketquelle mit der angegebenen <Paketquellen-ID> hinzu. Dies kann mehrmals angegeben werden.

    --archlist=<Architektur>, -a <Architektur>
        Fügt Architekturen hinzu, um für den Vergleich von Qullpaketen die Vorgabe zu ändern. Beachten Sie, dass Sie einen Platzhalter »*« für alle Architekturen verwenden können. Kann mehrfach angegeben werden.

    --size, -s
        gibt zusätzliche Informationen über den Umfang der Änderungen aus.

    --compare-arch
        Normalerweise werden Pakete einfach anhand ihres Namens verglichen. Dieser Schalter sorgt dafür, dass auch die Architektur einbezogen wird. Auf diese Weise werden bla.i386 und bla.x86_64 als unterschiedlich erkannt.

    --simple
        gibt eine einfache einzeilige Meldung für geänderte Pakete aus.

    --downgrade
        gibt die Daten bei Paketänderungen für aktualisierte bzw. heruntergestufte Pakete getrennt aus.

BEISPIELE

Vergleich von Quellpaketen in zwei lokalen Paketquellen:

            dnf repodiff --repofrompath=o,/tmp/repo-old --repofrompath=n,/tmp/repo-new --repo-old=o --repo-new=n

Vergleich von zwei x86_64-kompatiblen Binärpaketen in zwei fernen Paketquellen und zwei lokalen Quellen:

            dnf repodiff --repofrompath=o,http://example.com/repo-old --repofrompath=n,http://example.com/repo-new --repo-old=o --repo-new=n --archlist=x86_64

Vergleich von zwei x86_64-kompatiblen Binärpaketen, wobei auch die Architektur berücksichtigt wird:

            dnf repodiff --repofrompath=o,http://example.com/repo-old --repofrompath=n,http://example.com/repo-new --repo-old=o --repo-new=n --archlist=x86_64 --compare-arch

AUTOR
Siehe AUTHORS im Paket der Core-DNF-Plugins.

COPYRIGHT
2014, Red Hat, lizenziert unter GPLv2+

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).